

	control = {
		up = "w",
		down = "s",
		left = "a",
		right = "d",
		attack = "l"
	}
	
	player = {
		x = 600,
		y = 325,
		speed = 200,
		sprite = love.graphics.newImage("player.png"),
		direction = "down",
		iterator = 1,
		timer = 1,
		moving = false
	}
	
	playerQuads = {
		down = {
			love.graphics.newQuad(0, 0, 24, 63, 96, 252),
			love.graphics.newQuad(0, 63, 24, 63, 96, 252),
			love.graphics.newQuad(0, 126, 24, 63, 96, 252),
			love.graphics.newQuad(0, 189, 24, 63, 96, 252)
		},
		up = {
			love.graphics.newQuad(24, 0, 24, 63, 96, 252),
			love.graphics.newQuad(24, 63, 24, 63, 96, 252),
			love.graphics.newQuad(24, 126, 24, 63, 96, 252),
			love.graphics.newQuad(24, 189, 24, 63, 96, 252)
		},
		right = {
			love.graphics.newQuad(48, 0, 24, 63, 96, 252),
			love.graphics.newQuad(48, 63, 24, 63, 96, 252),
			love.graphics.newQuad(48, 126, 24, 63, 96, 252),
			love.graphics.newQuad(48, 189, 24, 63, 96, 252)
		},
		left = {
			love.graphics.newQuad(72, 0, 24, 63, 96, 252),
			love.graphics.newQuad(72, 63, 24, 63, 96, 252),
			love.graphics.newQuad(72, 126, 24, 63, 96, 252),
			love.graphics.newQuad(72, 189, 24, 63, 96, 252)
		}
	}
	

function playerDraw()

	love.graphics.drawq(player.sprite, playerQuads[player.direction][player.iterator], player.x, player.y)
	
end

function playerKey(dt)
	
	if love.keyboard.isDown(control.up) then
		player.direction = "up"
		player.timer = player.timer + dt
	end
	
	if love.keyboard.isDown(control.down) then
		player.direction = "down"
		player.timer = player.timer + dt
	end

	if love.keyboard.isDown(control.right) then
		player.direction = "right"
		player.timer = player.timer + dt
	end

	if love.keyboard.isDown(control.left) then
		player.direction = "left"
		player.timer = player.timer + dt
	end

end

function playerTimer(dt)

	if player.timer > 0.15 then
		player.timer = 0
		player.iterator = player.iterator + 1
		if player.iterator > 4 then
			player.iterator = 1
		end
	end

end








